import { IDynamicVariable } from "./chatVariables.js";
import { IToolData, ToolSet } from "./languageModelToolsService.js";
export declare const IChatVariablesService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IChatVariablesService>;
export interface IChatVariablesService {
    _serviceBrand: undefined;
    getDynamicVariables(sessionId: string): ReadonlyArray<IDynamicVariable>;
    getSelectedTools(sessionId: string): ReadonlyArray<IToolData>;
    getSelectedToolSets(sessionId: string): ReadonlyArray<ToolSet>;
}
